codfw: rack/setup ms-fe200[5-8]
Closed, ResolvedPublic

Description

This task will track the racking and initial setup of 4 swift frontend
Please verify and see if the racking location and the hostnames are okay and provide partman recipe to use. Thanks

Hostname(ms-fe2005)

  • - receive in normally on parent task T149867
  • - rack location A2
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

Hostname(ms-fe2006)

  • - receive in normally on parent task T149867
  • - rack location B2
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

Hostname(ms-fe2007)

  • - receive in normally on parent task T149867
  • - rack location C2
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.

Hostname(ms-fe2008)

  • - receive in normally on parent task T149867
  • - rack location D2
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update task with port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @Filippo for service implementation.
Papaul created this task.Dec 7 2016, 4:13 PM
Restricted Application added subscribers: Southparkfan, Aklapper. · View Herald TranscriptDec 7 2016, 4:13 PM
Papaul triaged this task as Normal priority.Dec 7 2016, 4:15 PM
Papaul updated the task description. (Show Details)Dec 7 2016, 4:37 PM
fgiunchedi updated the task description. (Show Details)Dec 7 2016, 5:10 PM

@Papaul looks good, I've edited the hostnames. Please expose all disks to the OS, it'll be software raid-ed

fgiunchedi updated the task description. (Show Details)Dec 7 2016, 5:21 PM
Papaul renamed this task from codfw: rack/setup 4 swift frontend to codfw: rack/setup ms-fe200[5-8].Dec 7 2016, 5:23 PM
Papaul updated the task description. (Show Details)Dec 7 2016, 8:52 PM
Papaul updated the task description. (Show Details)Dec 13 2016, 7:08 PM
Papaul updated the task description. (Show Details)Dec 14 2016, 1:49 AM
Papaul updated the task description. (Show Details)Dec 14 2016, 2:02 AM
Papaul reassigned this task from Papaul to fgiunchedi.

@fgiunchedi you good to take over.

Change 332452 had a related patch set uploaded (by Filippo Giunchedi):
swift: add ms-fe200[5-8] to site and conftool

https://gerrit.wikimedia.org/r/332452

Change 332452 merged by Filippo Giunchedi:
swift: add ms-fe200[5-8] to site and conftool

https://gerrit.wikimedia.org/r/332452

Mentioned in SAL (#wikimedia-operations) [2017-01-18T10:11:08Z] <godog> pool ms-fe200[789] T152612

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:20:18Z] <godog> depool ms-fe200[1234] T152612

fgiunchedi closed this task as Resolved.Mar 2 2017, 9:28 AM

Machines in service, see T159413 for decom